// Code generated by mockery v2.23.1. DO NOT EDIT.

package gitlab

import mock "github.com/stretchr/testify/mock"

// MockClient is an autogenerated mock type for the Client type
type MockClient struct {
	mock.Mock
}

// ListMergeRequests provides a mock function with given fields: IIDs, perPage
func (_m *MockClient) ListMergeRequests(IIDs []int, perPage int) ([]MergeRequest, error) {
	ret := _m.Called(IIDs, perPage)

	var r0 []MergeRequest
	var r1 error
	if rf, ok := ret.Get(0).(func([]int, int) ([]MergeRequest, error)); ok {
		return rf(IIDs, perPage)
	}
	if rf, ok := ret.Get(0).(func([]int, int) []MergeRequest); ok {
		r0 = rf(IIDs, perPage)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]MergeRequest)
		}
	}

	if rf, ok := ret.Get(1).(func([]int, int) error); ok {
		r1 = rf(IIDs, perPage)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

type mockConstructorTestingTNewMockClient interface {
	mock.TestingT
	Cleanup(func())
}

// NewMockClient creates a new instance of MockClient. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewMockClient(t mockConstructorTestingTNewMockClient) *MockClient {
	mock := &MockClient{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
